unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Buttons, ShlObj, ShellApi, FlyingOp, BrowseDr;

type
  TForm1 = class(TForm)
    FicFiltre: TEdit;
    RepOrigine: TEdit;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    RepDestination: TEdit;
    StaticText3: TStaticText;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    CBrecurse: TCheckBox;
    Button3: TButton;
    FlyingOp1: TFlyingOp;
    DlgBrowseDr: TBrowseDirectoryDlg;
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    Button4: TButton;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  with DlgBrowseDr do
  begin
  Caption := 'Recherche du rpertoire d''origine';
  if Execute then RepOrigine.Text := Selection else RepOrigine.Text := '';
  end;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  with DlgBrowseDr do
  begin
  Caption := 'Recherche du rpertoire de destination';
  if Execute then RepDestination.Text := Selection else RepDestination.Text := '';
  end;
end;


procedure TForm1.Button3Click(Sender: TObject);
begin
  with FlyingOp1 do
  begin
    SourceDirectory      := RepOrigine.Text;
    DestinationDirectory := RepDestination.Text;
    RecurseDirectory     := CBrecurse.Checked;
    FileMask             := FicFiltre.Text;
    SearchForFiles;
    ExecCopy;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  with FlyingOp1 do
  begin
    SourceDirectory      := RepOrigine.Text;
    DestinationDirectory := RepDestination.Text;
    RecurseDirectory     := CBrecurse.Checked;
    FileMask             := FicFiltre.Text;
    SearchForFiles;
    ExecDelete;
  end;

end;


procedure TForm1.Button2Click(Sender: TObject);
begin
  with FlyingOp1 do
  begin
    SourceDirectory      := RepOrigine.Text;
    DestinationDirectory := RepDestination.Text;
    RecurseDirectory     := CBrecurse.Checked;
    FileMask             := FicFiltre.Text;
    SearchForFiles;
    ExecMove;
  end;
end;


procedure TForm1.Button4Click(Sender: TObject);
begin
  try
  Screen.Cursor := crHourglass;
  with FlyingOp1 do
  begin
    SourceDirectory      := RepOrigine.Text;
    DestinationDirectory := RepDestination.Text;
    RecurseDirectory     := CBrecurse.Checked;
    FileMask             := FicFiltre.Text;
    SearchForFiles;
    Memo1.Clear;
    Memo1.Lines := FileList;
  end;
  finally
    Screen.Cursor := crDefault;
  end;
end;

end.
